%global libname libsodium
%global soname  23

Summary:        The Sodium crypto library
Name:           libsodium
Version:        1.0.19
Release:        1%{?dist}
License:        ISC
URL:            http://libsodium.org/
Source0:        http://download.libsodium.org/libsodium/releases/%{name}-%{version}.tar.gz

BuildRequires: make gcc


%description
Sodium is a software library for encryption, decryption, signatures, password hashing, which 
provides all the core operations needed to build advanced encryption tools.
It is a portable, cross-compiled, installable, and packable branch of NaCl that provides a 
compatible API and an extended API to further improve usability.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name} 
libraries.

%package        static
Summary:        Static library for %{name}
Requires:       %{name}-devel = %{version}-%{release}

%description    static
This package provides the static library for statically linking applications to use %{name}.


%prep
%autosetup


%build
%configure \
  --disable-silent-rules \
  --disable-opt

%make_build


%install
%make_install

rm -f %{buildroot}%{_libdir}/%{libname}.la


%check
make check


%files
%license LICENSE
%{_libdir}/%{libname}.so.%{soname}*

%files devel
%doc AUTHORS ChangeLog README.markdown THANKS
%doc test/default/*.{c,exp,h} test/quirks/quirks.h
%{_includedir}/sodium.h
%{_includedir}/sodium/
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/%{libname}.pc

%files static
%{_libdir}/libsodium.a


%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.0.19-1
- Upgrade to version 1.0.19

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.18-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.18-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.18-1
- package init.
